Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowFacesContextMessageDelegate

    java.lang.Object
      org.springframework.faces.webflow.FlowFacesContextMessageDelegate

    public class FlowFacesContextMessageDelegate

extends java.lang.Object

Helper delegate class for use with the `FlowFacesContext` that handles all faces message methods.

Author:
  Jeremy Grelle, Phil Webb

Constructor Summary
`FlowFacesContextMessageDelegate(RequestContext context)`

Method Summary
`void` | `addToFlowMessageContext(java.lang.String clientId, javax.faces.application.FacesMessage message)`
`java.util.Iterator<java.lang.String>` | `getClientIdsWithMessages()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`java.util.List<javax.faces.application.FacesMessage>` | `getMessageList()`
`java.util.List<javax.faces.application.FacesMessage>` | `getMessageList(java.lang.String clientId)`
`java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessages()`
`java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessages(java.lang.String clientId)`
`boolean` | `hasErrorMessages()` Whether Web Flow's MessageContext contains any errors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowFacesContextMessageDelegate

    public FlowFacesContextMessageDelegate(RequestContext context)

Method Detail

### hasErrorMessages

    public boolean hasErrorMessages()

  Whether Web Flow's MessageContext contains any errors.

### addToFlowMessageContext

    public void addToFlowMessageContext(java.lang.String clientId,
                                        javax.faces.application.FacesMessage message)

  See Also:
    `FlowFacesContext.addMessage(String, FacesMessage)`

### getClientIdsWithMessages

    public java.util.Iterator<java.lang.String> getClientIdsWithMessages()

  See Also:
    `FlowFacesContext.getClientIdsWithMessages()`

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

  See Also:
    `FlowFacesContext.getMaximumSeverity()`

### getMessages

    public java.util.Iterator<javax.faces.application.FacesMessage> getMessages()

  See Also:
    `FlowFacesContext.getMessages()`

### getMessages

    public java.util.Iterator<javax.faces.application.FacesMessage> getMessages(java.lang.String clientId)

  See Also:
    `FlowFacesContext.getMessages(String)`

### getMessageList

    public java.util.List<javax.faces.application.FacesMessage> getMessageList()

  See Also:
    `Jsf2FlowFacesContext.getMessageList()`

### getMessageList

    public java.util.List<javax.faces.application.FacesMessage> getMessageList(java.lang.String clientId)

  See Also:
    `Jsf2FlowFacesContext.getMessageList(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD